{"openapi":"3.0.1","info":{"title":"FRETY API","description":"","version":"1.0.0"},"servers":[{"url":"http://api.frety.me","description":"Generated server url"}],"tags":[{"name":"Vote","description":"투표"},{"name":"Tab","description":"악보"},{"name":"Comment","description":"댓글"},{"name":"Favorite","description":"즐겨찾기"},{"name":"User","description":"유저"},{"name":"Auth","description":"보안"},{"name":"Email","description":"이메일"}],"paths":{"/vote":{"post":{"tags":["Vote"],"summary":"투표 생성","operationId":"createVote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateVoteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"bearer-key":[]}]}},"/users":{"post":{"tags":["User"],"summary":"유저 생성","operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/tabs":{"get":{"tags":["Tab"],"summary":"악보 검색","operationId":"searchTabs","parameters":[{"name":"page","in":"query","description":"페이지","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"페이지 크기","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"keyword","in":"query","description":"검색어","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","description":"정렬 타입","required":false,"schema":{"type":"string","enum":["RECENT","VOTE"]}},{"name":"voterId","in":"query","description":"투표 유저 ID","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"favoriterId","in":"query","description":"즐겨찾기 유저 ID","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRsSearchTabsResponse"}}}}}},"post":{"tags":["Tab"],"summary":"악보 생성","operationId":"createTab","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTabRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"bearer-key":[]}]}},"/favorite":{"get":{"tags":["Favorite"],"summary":"즐겨찾기 단건 조회","operationId":"getFavorite","parameters":[{"name":"favoriterId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"tabId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}},"post":{"tags":["Favorite"],"summary":"즐겨찾기 등록","operationId":"createFavorite","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFavoriteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"bearer-key":[]}]},"delete":{"tags":["Favorite"],"summary":"즐겨찾기 해제","operationId":"deleteFavorite","parameters":[{"name":"favoriterId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"tabId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/email":{"post":{"tags":["Email"],"summary":"이메일 전송","operationId":"sendEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendEmailRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/comments":{"get":{"tags":["Comment"],"summary":"댓글 전체 조회","operationId":"searchComments","parameters":[{"name":"targetId","in":"query","description":"타입과 관련된 ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"type","in":"query","description":"댓글 타입","required":true,"schema":{"type":"string","enum":["TAB"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCommentsResponse"}}}}}}},"post":{"tags":["Comment"],"summary":"댓글 생성","operationId":"createComment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/auth/token":{"post":{"tags":["Auth"],"summary":"토큰 생성","operationId":"createToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTokenRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateTokenResponse"}}}}}}},"/tabs/{tabId}":{"get":{"tags":["Tab"],"summary":"악보 단건 조회","operationId":"getTabById","parameters":[{"name":"tabId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetTabByIdResponse"}}}}}},"delete":{"tags":["Tab"],"summary":"악보 삭제","operationId":"deleteTab","parameters":[{"name":"tabId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"security":[{"bearer-key":[]}]},"patch":{"tags":["Tab"],"summary":"악보 수정","operationId":"updateTab","parameters":[{"name":"tabId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTabRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"bearer-key":[]}]}},"/comments/{commentId}":{"get":{"tags":["Comment"],"summary":"댓글 조회","operationId":"getCommentById","parameters":[{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetCommentByIdResponse"}}}}}},"delete":{"tags":["Comment"],"summary":"댓글 삭제","operationId":"deleteComment","parameters":[{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["Comment"],"summary":"댓글 수정","operationId":"updateComment","parameters":[{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/tabs/{authorName}/created":{"get":{"tags":["Tab"],"summary":"내가 제작한 악보 검색","operationId":"searchMyCreatedTabs","parameters":[{"name":"page","in":"query","description":"페이지","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"페이지 크기","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"authorName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRsSearchTabsResponse"}}}}}}}},"components":{"schemas":{"CreateVoteRequest":{"required":["targetId","type","voterId"],"type":"object","properties":{"targetId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["TAB"]},"voterId":{"type":"integer","format":"int64"}}},"CreateUserRequest":{"required":["loginId","method","name","password"],"type":"object","properties":{"method":{"type":"string","enum":["ID_PASSWORD"]},"loginId":{"type":"string"},"password":{"type":"string"},"name":{"type":"string"}}},"CreateTabRequest":{"required":["artist","authorName","capo","content","song","style"],"type":"object","properties":{"artist":{"type":"string"},"song":{"type":"string"},"capo":{"type":"string"},"style":{"type":"string"},"content":{"type":"string"},"authorName":{"type":"string"}}},"CreateFavoriteRequest":{"required":["favoriterId","targetId","type"],"type":"object","properties":{"targetId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["TAB"]},"favoriterId":{"type":"integer","format":"int64"}}},"SendEmailRequest":{"type":"object","properties":{"chord":{"type":"string"}}},"CreateCommentRequest":{"required":["content","targetId","type","userName"],"type":"object","properties":{"targetId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["TAB"]},"content":{"type":"string"},"parentCommentId":{"type":"integer","format":"int64"},"userName":{"type":"string"}}},"CreateTokenRequest":{"required":["loginId","password","type"],"type":"object","properties":{"type":{"type":"string","enum":["ID_PASSWORD"]},"loginId":{"type":"string"},"password":{"type":"string"}}},"CreateTokenResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"refreshToken":{"type":"string"},"authId":{"type":"integer","format":"int64"}}},"UpdateTabRequest":{"type":"object","properties":{"artist":{"type":"string"},"song":{"type":"string"},"capo":{"type":"string"},"style":{"type":"string"},"content":{"type":"string"},"authorName":{"type":"string"}}},"UpdateCommentRequest":{"type":"object","properties":{"content":{"type":"string"}}},"PageRsSearchTabsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SearchTabsResponse"}},"meta":{"$ref":"#/components/schemas/PageRs__Meta"}}},"PageRs__Meta":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int64"},"totalPage":{"type":"integer","format":"int64"},"hasPreviousPage":{"type":"boolean"},"hasNextPage":{"type":"boolean"}}},"SearchTabsResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"artist":{"type":"string"},"song":{"type":"string"},"author":{"$ref":"#/components/schemas/SearchTabsResponse__Author"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"voteCount":{"type":"integer","format":"int32"}}},"SearchTabsResponse__Author":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"GetTabByIdResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"artist":{"type":"string"},"song":{"type":"string"},"capo":{"type":"string"},"style":{"type":"string"},"content":{"type":"string"},"authorName":{"type":"string"},"voteCount":{"type":"integer","format":"int32"},"favoriteCount":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SearchCommentsResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}},"GetCommentByIdResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"content":{"type":"string"},"userName":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"parentCommentId":{"type":"integer","format":"int64"}}}},"securitySchemes":{"bearer-key":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}}}